org.bouncycastle.asn1.esf

## Class SignaturePolicyId

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.esf.SignaturePolicyId

All Implemented Interfaces:
  DEREncodable

    public class SignaturePolicyId
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SignaturePolicyId(ASN1Sequence seq)`
`SignaturePolicyId(DERObjectIdentifier sigPolicyIdentifier, OtherHashAlgAndValue sigPolicyHash)`
`SignaturePolicyId(DERObjectIdentifier sigPolicyId, OtherHashAlgAndValue sigPolicyHash, SigPolicyQualifiers sigPolicyQualifiers)`

### Method Summary

Methods
`static SignaturePolicyId` `getInstance(java.lang.Object obj)`
`OtherHashAlgAndValue` `getSigPolicyHash()`
`DERObjectIdentifier` `getSigPolicyId()`
`SigPolicyQualifiers` `getSigPolicyQualifiers()`
`DERObject` `toASN1Object()` SignaturePolicyId ::= SEQUENCE { sigPolicyId SigPolicyId, sigPolicyHash SigPolicyHash, sigPolicyQualifiers SEQUENCE SIZE (1..MAX) OF SigPolicyQualifierInfo OPTIONAL}

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SignaturePolicyId

    public SignaturePolicyId(ASN1Sequence seq)

#### SignaturePolicyId

    public SignaturePolicyId(DERObjectIdentifier sigPolicyIdentifier,
                     OtherHashAlgAndValue sigPolicyHash)

#### SignaturePolicyId

    public SignaturePolicyId(DERObjectIdentifier sigPolicyId,
                     OtherHashAlgAndValue sigPolicyHash,
                     SigPolicyQualifiers sigPolicyQualifiers)

### Method Detail

#### getInstance

    public static SignaturePolicyId getInstance(java.lang.Object obj)

#### getSigPolicyId

    public DERObjectIdentifier getSigPolicyId()

#### getSigPolicyHash

    public OtherHashAlgAndValue getSigPolicyHash()

#### getSigPolicyQualifiers

    public SigPolicyQualifiers getSigPolicyQualifiers()

#### toASN1Object

    public DERObject toASN1Object()

     SignaturePolicyId ::= SEQUENCE {
         sigPolicyId SigPolicyId,
         sigPolicyHash SigPolicyHash,
         sigPolicyQualifiers SEQUENCE SIZE (1..MAX) OF SigPolicyQualifierInfo OPTIONAL}

Specified by:
  `toASN1Object` in class `ASN1Encodable`